<?php

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

define('MYPOLLS_DIR' , basename(dirname(__FILE__)));
define('MYPOLLS_PATH' , PHPWG_PLUGINS_PATH . MYPOLLS_DIR . '/');

 ini_set('error_reporting', E_ALL);
 ini_set('display_errors', true);

global $gpc_installed, $lang; //needed for plugin manager compatibility

$gpc_installed=false;
if(file_exists(PHPWG_PLUGINS_PATH.'grum_plugins_classes/tables.class.inc.php'))
{
  @include_once('plugin_class_install.inc.php');
  $gpc_installed=true;
}

include_once(get_language_filepath('plugin.lang.php',MYPOLLS_PATH));


function plugin_install($plugin_id, $plugin_version, &$errors) 
{
  global $prefixeTable, $gpc_installed;

  if($gpc_installed)
  {
    $obj = new install_mypolls($prefixeTable, __FILE__);
    $result=$obj->install();
    if(!$result)
    {
      array_push($errors, "error");
    }
  }
  else
  {
    array_push($errors, l10n('mypolls_gpc_not_installed'));
  }
}

function plugin_activate($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpc_installed;

  if($gpc_installed)
  {
    $obj = new install_mypolls($prefixeTable, __FILE__);
    $result=$obj->activate();
    if($result===false or $result!='')
    {
      if(is_string($result))
      {
        array_push($errors, $result);
      }
      else
      {
        array_push($errors, "");
      }
    }
  }
  else
  {
    array_push($errors, l10n('mypolls_gpc_not_installed'));
  }
}

function plugin_deactivate($plugin_id)
{
/*  global $prefixeTable;
  $obj = new install_mypolls($prefixeTable, __FILE__);
  $obj->deactivate(); */
}

function plugin_uninstall($plugin_id)
{
  global $prefixeTable, $gpc_installed;

  if($gpc_installed)
  {
    $obj = new install_mypolls($prefixeTable, __FILE__);
    $obj->uninstall();
  }
  else
  {
    array_push($errors, l10n('mypolls_gpc_not_installed'));
  }
}


?>
